org.eclnt.jsfserver.elements.componentnodes

## Class ROWWORKPAGEFAVORITESSQUARENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWWORKPAGEFAVORITESSQUARENode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWWORKPAGEFAVORITESSQUARENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWWORKPAGEFAVORITESSQUARENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindImageheight(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindImagewidth(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setComment(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setConfiginfo(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setId(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setImageheight(int value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setImageheight(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setImagewidth(int value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setImagewidth(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setObjectbinding(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setRendered(boolean value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setRendered(java.lang.String value)`
    `ROWWORKPAGEFAVORITESSQUARENode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWWORKPAGEFAVORITESSQUARENode

          public ROWWORKPAGEFAVORITESSQUARENode()

  - ### Method Detail

    - #### setId

          public ROWWORKPAGEFAVORITESSQUARENode setId(java.lang.String value)

    - #### setComment

          public ROWWORKPAGEFAVORITESSQUARENode setComment(java.lang.String value)

    - #### bindComment

          public ROWWORKPAGEFAVORITESSQUARENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWWORKPAGEFAVORITESSQUARENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWWORKPAGEFAVORITESSQUARENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setImageheight

          public ROWWORKPAGEFAVORITESSQUARENode setImageheight(java.lang.String value)

    - #### bindImageheight

          public ROWWORKPAGEFAVORITESSQUARENode bindImageheight(IDynamicContentBindingObject value)

    - #### setImageheight

          public ROWWORKPAGEFAVORITESSQUARENode setImageheight(int value)

    - #### setImagewidth

          public ROWWORKPAGEFAVORITESSQUARENode setImagewidth(java.lang.String value)

    - #### bindImagewidth

          public ROWWORKPAGEFAVORITESSQUARENode bindImagewidth(IDynamicContentBindingObject value)

    - #### setImagewidth

          public ROWWORKPAGEFAVORITESSQUARENode setImagewidth(int value)

    - #### setObjectbinding

          public ROWWORKPAGEFAVORITESSQUARENode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public ROWWORKPAGEFAVORITESSQUARENode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPAGEFAVORITESSQUARENode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWWORKPAGEFAVORITESSQUARENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWWORKPAGEFAVORITESSQUARENode setRendered(boolean value)

    - #### setStylevariant

          public ROWWORKPAGEFAVORITESSQUARENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWWORKPAGEFAVORITESSQUARENode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.